Subject: bug#416: elpa-debian-el: Reports go to the Debian BTS

From: Mark Hindley <[email-masked]>
Date: Mon, 30 Mar 2020 14:23:39 +0100

On Mon, Mar 30, 2020 at 08:58:36PM +0900, Olaf Meeuwissen wrote:
> > Yes, client-side. We can use 'Origin: Devuan' in our packages to distinguish in
> > reportbug once all Devuan's packages have that added to their source
> > debian/control.
> 
> Good, but can't you use the package's version already?  I thought that
> all repackaged packages have to add a `devuan` in their version.
> I just ran
> 
>   dpkg-query -W | grep devuan
> 
> on my ASCII machine and only devuan-keyring didn't have `devuan` in its
> version.  I think that's fair enough.  Are there other Devuan specific
> packages that do not follow this rule of thumb?

Yes, a few. Notably elogind, eudev, consolkit2, some themes, refractainstaller,
choose-init, and several others that still have the (very old?) +vuaN numbering.

The problem with using +devuanN in the version as the test is that these package
reports would then be sent to Debian which would be unpopular!

> > That seems bizzarre behaviour! Maybe that is worth bugging Debian about?
> 
> I am thinking about doing so but I'll have to find some time to do so.
> Maybe next weekend.  My SANE activities eat up most of my free time at
> the moment.
> 
> Hope this helps,

Yes, many thanks.

Mark